## org.w3c.tools.resources.indexer
Class GhostResourceIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.tools.resources.indexer.GhostResourceIndexer

public class GhostResourceIndexer
extends SampleResourceIndexer

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_CONTEXT, ATTR_LAST_MODIFIED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`GhostResourceIndexer()`

Method Summary
`Resource` | `createResource(ContainerResource container, RequestInterface request, java.io.File directory, java.lang.String name, java.util.Hashtable defs)` Try to create a resource for the given file.

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createFileResource, createVirtualResource, delete, delete, enumerateResourceIdentifiers, getContext, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedFileName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, lookup, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource

`acceptUnload, checkMultipleLock, collectFrames, getClone, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GhostResourceIndexer

    public GhostResourceIndexer()

Method Detail

### createResource

    public Resource createResource(ContainerResource container,
                                   RequestInterface request,
                                   java.io.File directory,
                                   java.lang.String name,
                                   java.util.Hashtable defs)

  Try to create a resource for the given file. This method makes its best efforts to try to build a default resource out of a file.
  Parameters:
    `directory` - The directory the file is in.
    `name` - The name of the file.
    `defs` - Any default attribute values that should be provided to the created resource at initialization time.
  Returns:
    A Resource instance, or null if the given file can't be truned into a resource given our configuration database.
  Overrides:
    createResource in class SampleResourceIndexer